﻿using System.Collections.Generic;
using Microsoft.AspNetCore.Mvc;

namespace CoreRoutingExamples.Controllers
{
    [Route("api/Person")]
    public class PersonController : Controller
    {
        // GET: api/Person
        [HttpGet]
        public IEnumerable<string> Get()
        {
            return new string[] { "Dave Smith", "Edward Temple" };
        }

        // http://localhost:27624/api/person/1
        [HttpGet("{id}")]
        public string Get(int id)
        {
            return $"Get by id:{id} - Dave Smith";
        }

        // http://localhost:62689/api/person/ByNumber/5
        [HttpGet("ByNumber/{number}")]
        public string GetByNumber(int number)
        {
            return $"Get by number:{number} - Tom Davis";
        }
        // http://localhost:62689/api/person/ByFirstName/Steve
        [HttpGet("ByFirstName")]
        public string GetByFristName(string firstName)
        {
            return $"Get by first name - {firstName} Smith";
        }

        // http://localhost:62689/api/person/ByLastName?lastname=Smith
        [HttpGet("ByLastName")]
        public string GetByLastName(string lastName)
        {
            return $"Get by last name - Dave {lastName}";
        }

        // http://localhost:62689/api/person/ByFirstAndLastName?firstname=Steve&lastname=Smith
        [HttpGet("ByFirstAndLastName")]
        public string GetByFirstAndLastName(string firstName, string lastName)
        {
            return $"Get by first and last name - {firstName} {lastName}";
        }
    }
}